Bug 19777 - Move template JavaScript to the footer: Serials, part 3
Summary: Move template JavaScript to the footer: Serials, part 3
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858 20778
  Show dependency treegraph
 
Reported: 2017-12-07 18:23 UTC by Owen Leonard
Modified: 2018-06-04 15:13 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19777: Move template JavaScript to the footer: Serials, part 3 (18.87 KB, patch)
2017-12-07 19:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19777: Move template JavaScript to the footer: Serials, part 3 (18.89 KB, patch)
2017-12-11 11:47 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19777: Move template JavaScript to the footer: Serials, part 3 (18.94 KB, patch)
2017-12-14 08:35 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-07 18:23:46 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header. This patch will do so for even more of the serials templates.
Comment 1 Owen Leonard 2017-12-07 19:25:12 UTC
Created attachment 69621 [details] [review]
Bug 19777: Move template JavaScript to the footer: Serials, part 3

This patch modifies even more staff client serials templates so
that JavaScript is included in the footer instead of the header.

This patch adds a new JavaScript include, serials-toolbar.js, which is
required on pages which include serials-toolbar.inc.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

 - Serials
   - Search for a subscription
     - Tabs, datatables, date pickers
     - Open a subscription for viewing
       - Tabs, toolbar buttons for delete, renew, and close.
   - Serial collection (in the sidebar menu)
     - Select all / clear all
     - Datatable
     - Print slip
     - Generate next
Comment 2 Claire Gravely 2017-12-11 11:47:29 UTC
Created attachment 69682 [details] [review]
Bug 19777: Move template JavaScript to the footer: Serials, part 3

This patch modifies even more staff client serials templates so
that JavaScript is included in the footer instead of the header.

This patch adds a new JavaScript include, serials-toolbar.js, which is
required on pages which include serials-toolbar.inc.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

 - Serials
   - Search for a subscription
     - Tabs, datatables, date pickers
     - Open a subscription for viewing
       - Tabs, toolbar buttons for delete, renew, and close.
   - Serial collection (in the sidebar menu)
     - Select all / clear all
     - Datatable
     - Print slip
     - Generate next

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-14 08:35:51 UTC
Created attachment 69791 [details] [review]
Bug 19777: Move template JavaScript to the footer: Serials, part 3

This patch modifies even more staff client serials templates so
that JavaScript is included in the footer instead of the header.

This patch adds a new JavaScript include, serials-toolbar.js, which is
required on pages which include serials-toolbar.inc.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

 - Serials
   - Search for a subscription
     - Tabs, datatables, date pickers
     - Open a subscription for viewing
       - Tabs, toolbar buttons for delete, renew, and close.
   - Serial collection (in the sidebar menu)
     - Select all / clear all
     - Datatable
     - Print slip
     - Generate next

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-14 20:17:42 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-20 11:49:09 UTC
Awesome work all! Enhancement, not backporting for 17.11